Bug 378873 - crash when trying to add album
Summary: crash when trying to add album
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-MainView (show other bugs)
Version: 5.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-17 13:11 UTC by cot_al
Modified: 2020-08-10 10:18 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cot_al 2017-04-17 13:11:52 UTC
We cannot add anymore album since latest ubuntu update:

digikam.general: new search text settings:  "" : hasResult =  true , validRows =  4

(digikam:13512): GLib-GObject-WARNING **: cannot register existing type 'GdkWindow'

(digikam:13512): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(digikam:13512): Gdk-CRITICAL **: gdk_window_ensure_native: assertion 'GDK_IS_WINDOW (window)' failed
Comment 1 caulier.gilles 2017-04-17 13:20:55 UTC
1/ Which digiKam version do you use ?

2/ The GDK error do not come from digiKam. DK do not use GTK stuff, but Qt.

3/ Try to use Linux AppImage bundle instead the Ubuntu version. Last pre-version is available here :

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM

Gilles Caulier
Comment 2 Marty 2017-05-01 18:36:20 UTC
Hi

I have same issue.

In the latest ubuntu 17.04 upgrade it upgraded to 5.4. (previous version was 4.14 and had no issues)

May  1 20:17:25 rif digikam[21661]: cannot register existing type 'GdkWindow'
May  1 20:17:25 rif digikam[21661]: g_once_init_leave: assertion 'result != 0' failed
May  1 20:17:25 rif digikam[21661]: gdk_window_ensure_native: assertion 'GDK_IS_WINDOW (window)' failed
<FORCE QUIT>
May  1 20:17:45 rif zenity[21768]: GtkDialog mapped without a transient parent. This is discouraged.

I tried the appimage 5.6 and it worked.

Let me know if i can help you debug issue.
Comment 3 cot_al 2017-05-25 07:40:00 UTC
I have the same issue :
Could not resolve property : linearGradient9800
digikam.general: new search text settings:  "" : hasResult =  true , validRows =  4
(digikam:7100): GLib-GObject-WARNING **: cannot register existing type 'GdkWindow'
(digikam:7100): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
(digikam:7100): Gdk-CRITICAL **: gdk_window_ensure_native: assertion 'GDK_IS_WINDOW (window)' failed

 Version : 5.4.0 distributed in Ubuntu 17.04
Comment 4 Andrew 2017-07-09 15:31:43 UTC
Ubuntu bug:

  digikam hangs on "add collection" in preferences
  https://bugs.launchpad.net/bugs/1690947
Comment 5 caulier.gilles 2017-07-09 15:40:14 UTC
Maik,

Your file dialog wrapper in current implementation of digiKam fix the problem ?

Gilles
Comment 6 caulier.gilles 2017-08-14 08:30:12 UTC
Please test the last digiKam AppImage bundle for Linux 5.7.0 where the GTK file dialog wrapper was re-written by Maik and must fix this problem.

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM

Gilles Caulier
Comment 7 caulier.gilles 2017-11-30 09:30:14 UTC
Please update this entry from bugzilla with current 5.8.0 pre-release bundle to see if problem remain.

https://files.kde.org/digikam/

Thanks in advance

Gilles Caulier
Comment 8 cot_al 2017-12-02 09:39:43 UTC
FIXED with version Version 5.6.0 in ditribution ubuntu 17.10